> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Dataset Reviewers

> Set dataset-level reviewers.



## OpenAPI

````yaml /api-reference/openapi.json put /api/datasets/{dataset_id}/reviewers
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/reviewers:
    put:
      tags:
        - api
        - datasets
      summary: Set Dataset Reviewers
      description: Set dataset-level reviewers.
      operationId: set_dataset_reviewers_api_datasets__dataset_id__reviewers_put
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/_ReviewerListUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/_ReviewerListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    _ReviewerListUpdate:
      properties:
        reviewer_ids:
          items:
            type: integer
          type: array
          title: Reviewer Ids
        rules:
          anyOf:
            - $ref: '#/components/schemas/_ReviewerRulesUpdate'
            - type: 'null'
      type: object
      required:
        - reviewer_ids
      title: _ReviewerListUpdate
    _ReviewerListResponse:
      properties:
        reviewers:
          items:
            $ref: '#/components/schemas/UserSummary'
          type: array
          title: Reviewers
        source:
          type: string
          enum:
            - dataset
            - project
            - global
            - none
          title: Source
          default: none
        rules:
          $ref: '#/components/schemas/_ReviewerRules'
      type: object
      required:
        - reviewers
      title: _ReviewerListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    _ReviewerRulesUpdate:
      properties:
        access_mode:
          anyOf:
            - type: string
              enum:
                - configured_reviewers
                - dataset_editors
            - type: 'null'
          title: Access Mode
        min_validations:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 1
            - type: 'null'
          title: Min Validations
      type: object
      title: _ReviewerRulesUpdate
    UserSummary:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        roles:
          items:
            type: string
          type: array
          title: Roles
          default: []
      type: object
      required:
        - id
        - email
      title: UserSummary
    _ReviewerRules:
      properties:
        access_mode:
          type: string
          enum:
            - configured_reviewers
            - dataset_editors
          title: Access Mode
          default: dataset_editors
        min_validations:
          type: integer
          maximum: 10
          minimum: 1
          title: Min Validations
          default: 1
      type: object
      title: _ReviewerRules
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````